DefinitionsFactoryConfig (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.DefinitionsFactoryConfig,DefinitionsFactoryConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class DefinitionsFactoryConfig

    java.lang.Object
      |
      +--org.apache.struts.tiles.DefinitionsFactoryConfig

All Implemented Interfaces:
  java.io.Serializable

public class DefinitionsFactoryConfig
extends java.lang.Object
implements java.io.Serializable

A TilesFactoryConfig object hold configuration attributes for a tile definition factory.

Since:
  1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:34:00 +0100 (Fri, 22 Aug 2003) $
Author:
  Cedric Dumoulin
See Also:
  Serialized Form

Field Summary
`protected int` | `debugLevel` Deprecated. Use commons-logging mechanism.
`protected java.lang.String` | `definitionConfigFiles` Definition configuration file specified by user
`static java.lang.String` | `DEFINITIONS_CONFIG_PARAMETER_NAME` Alternate name for definition files properties in configuration file
`private java.util.Map` | `extraAttributes` Map of extra attribute available.
`static java.lang.String` | `FACTORY_CLASSNAME_PARAMETER_NAME` Alternate name for factory classname properties in configuration file
`protected java.lang.String` | `factoryClassname` Fully qualified classname of the factory to create.
`protected java.lang.String` | `factoryName` The name associated to this factory.
`protected boolean` | `moduleAware` Specifies whether the factory is "module-aware".
`static java.lang.String` | `PARSER_DETAILS_PARAMETER_NAME` Alternate name for parser debug details properties in configuration file
`static java.lang.String` | `PARSER_VALIDATE_PARAMETER_NAME` Alternate name for parser validate properties in configuration file
`protected int` | `parserDebugLevel` Deprecated. Use commons-logging mechanism.
`protected boolean` | `parserValidate` Specifies whether the parser will validate configuration files.
`static java.lang.String` | `TILES_DETAILS_PARAMETER_NAME` Alternate name for definition debug details properties in configuration file

Constructor Summary
`DefinitionsFactoryConfig()` Default constructor.
`DefinitionsFactoryConfig(java.util.Map initParameters)` Constructor.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Get value of an additional attribute.
`java.util.Map` | `getAttributes()` Get additional attributes as a Map.
`int` | `getDebugLevel()` Deprecated. Use commons-logging mechanism.
`java.lang.String` | `getDefinitionConfigFiles()` Get the definition config files.
`java.lang.String` | `getFactoryClassname()` Get the classname of the factory.
`java.lang.String` | `getFactoryName()` Get the factory name.
`int` | `getParserDebugLevel()` Deprecated. Use commons-logging mechanism.
`boolean` | `getParserValidate()` Determines if the parser is validating.
`boolean` | `isModuleAware()` Get the module aware flag.
`static void` | `linkOldPropertyNames(java.util.Map properties)` Link old property names to new property names.
`void` | `populate(java.util.Map properties)` Populate this config object from properties map, based on the specified name/value pairs.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Set value of an additional attribute.
`void` | `setDebugLevel(int aDebugLevel)` Deprecated. Use commons-logging mechanism.
`void` | `setDefinitionConfigFiles(java.lang.String aDefinitionConfigFiles)` Set the definition config files.
`void` | `setFactoryClassname(java.lang.String aFactoryClassname)` Set the classname of the factory..
`void` | `setFactoryName(java.lang.String factoryName)` Set the factory name.
`void` | `setModuleAware(boolean moduleAware)` Set the module aware flag.
`void` | `setParserDebugLevel(int aParserDebugLevel)` Deprecated. Use commons-logging mechanism.
`void` | `setParserValidate(boolean aParserValidate)` Set the validating mode for the parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factoryClassname

    protected java.lang.String factoryClassname

  Fully qualified classname of the factory to create. If no classname is set, a default factory is created (of class "org.apache.struts.tiles.xmlDefinition.I18nFactorySet").

### debugLevel

    protected int debugLevel

  Deprecated. Use commons-logging mechanism.

  Debug level value. 0=no debug info >0 = debug info.

### parserDebugLevel

    protected int parserDebugLevel

  Deprecated. Use commons-logging mechanism.

  Debug level value used when parsing configuration file. 0=no debug info; >0 = debug info.

### parserValidate

    protected boolean parserValidate

  Specifies whether the parser will validate configuration files. Default value is true.

### definitionConfigFiles

    protected java.lang.String definitionConfigFiles

  Definition configuration file specified by user

### moduleAware

    protected boolean moduleAware

  Specifies whether the factory is "module-aware".

### factoryName

    protected java.lang.String factoryName

  The name associated to this factory.
  With Struts 1.1, this name is the module name to which this factory belong. It is set by the system.
  In prior versions, this property is not used.

### PARSER_DETAILS_PARAMETER_NAME

    public static final java.lang.String PARSER_DETAILS_PARAMETER_NAME

  Alternate name for parser debug details properties in configuration file

  See Also:
    Constant Field Values

### PARSER_VALIDATE_PARAMETER_NAME

    public static final java.lang.String PARSER_VALIDATE_PARAMETER_NAME

  Alternate name for parser validate properties in configuration file

  See Also:
    Constant Field Values

### FACTORY_CLASSNAME_PARAMETER_NAME

    public static final java.lang.String FACTORY_CLASSNAME_PARAMETER_NAME

  Alternate name for factory classname properties in configuration file

  See Also:
    Constant Field Values

### DEFINITIONS_CONFIG_PARAMETER_NAME

    public static final java.lang.String DEFINITIONS_CONFIG_PARAMETER_NAME

  Alternate name for definition files properties in configuration file

  See Also:
    Constant Field Values

### TILES_DETAILS_PARAMETER_NAME

    public static final java.lang.String TILES_DETAILS_PARAMETER_NAME

  Alternate name for definition debug details properties in configuration file

  See Also:
    Constant Field Values

### extraAttributes

    private java.util.Map extraAttributes

  Map of extra attribute available.

Constructor Detail

### DefinitionsFactoryConfig

    public DefinitionsFactoryConfig()

  Default constructor.

### DefinitionsFactoryConfig

    public DefinitionsFactoryConfig(java.util.Map initParameters)

  Constructor. Create configuration object, and initialize it with parameters from Map. Parameters corresponding to an attribute are filtered and stored in appropriate attribute.

Parameters:
  `initParameters` - Map.

Method Detail

### isModuleAware

    public boolean isModuleAware()

  Get the module aware flag.

  Returns:
    `true`: user wants a single factory instance, `false`: user wants multiple factory instances (one per module with Struts)

### setModuleAware

    public void setModuleAware(boolean moduleAware)

  Set the module aware flag.

  Parameters:
    `moduleAware` - `true`: user wants a single factory instance, `false`: user wants multiple factory instances (one per module with Struts)

### getFactoryClassname

    public java.lang.String getFactoryClassname()

  Get the classname of the factory.

  Returns:
    Classname.

### setFactoryClassname

    public void setFactoryClassname(java.lang.String aFactoryClassname)

  Set the classname of the factory..

  Parameters:
    `aFactoryClassname` - Classname of the factory.

### getDebugLevel

    public int getDebugLevel()

  Deprecated. Use commons-logging mechanism.

  Get debug level.

  Returns:
    Debug level.

### setDebugLevel

    public void setDebugLevel(int aDebugLevel)

  Deprecated. Use commons-logging mechanism.

  Set debug level.

  Parameters:
    `aDebugLevel` - Debug level.

### getParserDebugLevel

    public int getParserDebugLevel()

  Deprecated. Use commons-logging mechanism.

  Get the debug level for the parser.

  Returns:
    Debug level.

### setParserDebugLevel

    public void setParserDebugLevel(int aParserDebugLevel)

  Deprecated. Use commons-logging mechanism.

  Set the debug level for the parser.

  Parameters:
    `aParserDebugLevel` - Debug level.

### getParserValidate

    public boolean getParserValidate()

  Determines if the parser is validating.

  Returns:
    `true`when in validating mode.``

### setParserValidate

    public void setParserValidate(boolean aParserValidate)

  Set the validating mode for the parser.

  Parameters:
    `aParserValidate` - `true` for validation, `false` otherwise

### getDefinitionConfigFiles

    public java.lang.String getDefinitionConfigFiles()

  Get the definition config files.

  Returns:
    Defition config files.

### setDefinitionConfigFiles

    public void setDefinitionConfigFiles(java.lang.String aDefinitionConfigFiles)

  Set the definition config files.

  Parameters:
    `aDefinitionConfigFiles` - Definition config files.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Set value of an additional attribute.

  Parameters:
    `name` - Name of the attribute.
    `value` - Value of the attribute.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Get value of an additional attribute.

  Parameters:
    `name` - Name of the attribute.
  Returns:
    Value of the attribute, or null if not found.

### getAttributes

    public java.util.Map getAttributes()

  Get additional attributes as a Map.

  Returns:
    Map A Map containing attribute name - value pairs.

### populate

    public void populate(java.util.Map properties)
                  throws java.lang.IllegalAccessException,
                         java.lang.reflect.InvocationTargetException

  Populate this config object from properties map, based on the specified name/value pairs. This method uses the populate() method from org.apache.commons.beanutils.BeanUtil.

  Properties keys are scanned for old property names, and linked to the new name if necessary. This modifies the properties map.

  The particular setter method to be called for each property is determined using the usual JavaBeans introspection mechanisms. Thus, you may identify custom setter methods using a BeanInfo class that is associated with the class of the bean itself. If no such BeanInfo class is available, the standard method name conversion ("set" plus the capitalized name of the property in question) is used.

  NOTE: It is contrary to the JavaBeans Specification to have more than one setter method (with different argument signatures) for the same property.

  Parameters:
    `properties` - Map keyed by property name, with the corresponding (String or String[]) value(s) to be set.
  Throws:
    `java.lang.IllegalAccessException` - if the caller does not have access to the property accessor method.
    `java.lang.reflect.InvocationTargetException` - if the property accessor method throws an exception.
  See Also:
    `BeanUtils`

### linkOldPropertyNames

    public static void linkOldPropertyNames(java.util.Map properties)

  Link old property names to new property names. This modifies the map.

  Parameters:
    `properties` - Map keyed by property name, with the corresponding (String or String[]) value(s) to be set.

### getFactoryName

    public java.lang.String getFactoryName()

  Get the factory name.

### setFactoryName

    public void setFactoryName(java.lang.String factoryName)

  Set the factory name.

  Parameters:
    `factoryName` - Name of the factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation